#!/bin/sh

. ./commons.sh

CORDOVA_VERSION=$1

if [ -z "${CORDOVA_VERSION}" ];then
  die "Cordova version has not been provided."
fi

CORDOVA_LIB_DIR=${PROJECTS_DIR}/CordovaLib

createEmptyDirectory ${CORDOVA_LIB_DIR}

mkdir -p  ${CORDOVA_LIB_DIR}/src/xcode ||die "[ERROR] Could not create directory src/xcode inside ${CORDOVA_LIB_DIR}"

cp -r  ${WORK_DIR}/cordova-${CORDOVA_VERSION}/CordovaLib/ ${CORDOVA_LIB_DIR}/src/xcode ||die "[ERROR] Could not move cordova resources."

POM_SOURCE=resources/CordovaLib-pom.xml
POM_TARGET=${CORDOVA_LIB_DIR}/pom.xml

cat ${POM_SOURCE} |sed "s/\${CORDOVA_VERSION}/${CORDOVA_VERSION}/g" > ${POM_TARGET}
