#!/bin/sh

. ./commons.sh

CORDOVA_VERSION=$1

if [ -z "${CORDOVA_VERSION}" ];then  
  die "Cordova version has not been provided."
fi

CORDOVA_FILE_NAME=cordova-${CORDOVA_VERSION}-src.zip
CORDOVA_URL=http://www.apache.org/dist/cordova/${CORDOVA_FILE_NAME}
CORDOVA_IOS_DIRECTORY=cordova-ios

INBOUND_DIR=../inbound

CORDOVA_DOWNLOAD_FILE=${INBOUND_DIR}/${CORDOVA_FILE_NAME}

#Provide your proxy in the line below in case you are behind a firewall.
HTTP_PROXY=

OLD_HOME=`pwd`

createEmptyDirectory ${WORK_DIR}

if [ ! -d ${INBOUND_DIR} ];then
  mkdir ${INBOUND_DIR}
fi

if [ ! -f ${CORDOVA_DOWNLOAD_FILE} ];then
  if [ -z ${HTTP_PROXY} ];then
    curl -o ${CORDOVA_DOWNLOAD_FILE} ${CORDOVA_URL} || die "Could not fetch the cordova lib from ${CORDOVA_URL}."
  else
    curl --proxy ${HTTP_PROXY} -o ${CORDOVA_DOWNLOAD_FILE} ${CORDOVA_URL} || die "Could not fetch the cordova lib from ${CORDOVA_URL}."
  fi
fi
cd "${WORK_DIR}" ||die "[ERROR] Could not cd into directory ${WORK_DIR}."
unzip ${CORDOVA_DOWNLOAD_FILE} || die "Could not unzip cordova lib ${CORDOVA_FILE_NAME}."

cd cordova-${CORDOVA_VERSION} ||die "Could not cd into directory cordova-${CORDOVA_VERSION}."
unzip -o cordova-ios.zip || die "Could not unzip cordova-ios.zip"

cd ${OLD_HOME}
